Patch Repository

MS12-074 Bulletin Details
Bulletin ID MS12-074
Title Vulnerabilities in .NET Framework Could Allow Remote Code Execution (2745030)
Summary This security update resolves five privately reported vulnerabilities in the .NET Framework. The most severe of these vulnerabilities could allow remote code execution if an attacker convinces the user of a target system to use a malicious proxy auto configuration file and then injects code into the currently running application.
Knowledgebase 2745030

List of Patches

S.No Patch Description Severity
1Security Update for Microsoft .NET Framework 2.0 Service Pack 2 on Windows Server 2003 and Windows XPCritical
2Security Update for Microsoft .NET Framework 2.0 Service Pack 2 on Windows Server 2003 and Windows XPCritical
3Security Update for Microsoft .NET Framework 4 on Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 (KB2729449)Critical
4Security Update for Microsoft .NET Framework 4 on Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 (KB2729449)Critical
5Security Update for Microsoft .NET Framework 4 on Windows XP, Windows Server 2003, Windows Vista, and Windows Server 2008 (KB2737019)Important
6Security Update for Microsoft .NET Framework 4 on Windows XP, Windows Server 2003, Windows Vista, and Windows Server 2008Important
7Security Update for Microsoft .NET Framework 4.5 on Windows 7 Service Pack 1, and Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2Important
8Security Update for Microsoft .NET Framework 4.5 on Windows 7 Service Pack 1, and Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2Important
9Security Update for Microsoft .NET Framework 3.5 on Windows 8 and Windows Server 2012Critical
10Security Update for Microsoft .NET Framework 3.5 on Windows 8 and Windows Server 2012Critical
11Security Update for Microsoft .NET Framework 4.5 on Windows 8, Windows RT and Windows Server 2012Important
12Security Update for Microsoft .NET Framework 4.5 on Windows 8, Windows RT and Windows Server 2012Important
13Update for Windows 8 (KB2756872)Low
14Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 and Windows Server 2008 R2 (KB2729451)Critical
15Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 and Windows Server 2008 R2Critical
16Update for Windows 8 for x64-based Systems (KB2756872)Critical
17Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1 (KB2729452)Critical
18Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1 (KB2729452)Critical
19Update for Windows Server 2012 (KB2756872)Critical

Disclaimer: This webpage is intended to provide you information about patch announcement for certain specific software products. The information is provided "As Is" without warranty of any kind. The links provided point to pages on the vendors websites. You can get more information by clicking the links to visit the relevant pages on the vendors website.